Error al instalar PIP Instale PGADMIN4-1.4-PY2.PY3-NINGUNO-NO.WL -- postgresql campo con python-2.7 campo con pip campo con pgadmin camp askubuntu Relacionados El problema

Error while installing pip install pgadmin4-1.4-py2.py3-none-any.whl


1
vote

problema

Español

Soy nuevo en Ubuntu y estoy tratando de instalar case7 con

  ABCDEFGHIJKLMNABCDEFGHIJKLMN18   

pero recibió el siguiente error al instalar PGADMIN4:

  case9  

ingrese la descripción de la imagen aquí

¿Puede alguien ayudar o dar consejos sobre cómo rectificar este error?

también, traté de encontrar el

  chmod u-x $b" ; ls -l ;  0  

Archivo para configurar el archivo de acuerdo con las instrucciones de este sitio, pero no hubo tal archivo. ¿Debo publicar otra consulta o puedo preguntar si alguien puede ayudarme a localizar el archivo?

Original en ingles

I am new to Ubuntu and I am trying to install pgadmin4 with

pip install pgadmin4-1.4-py2.py3-none-any.whl 

But received the following error while installing pgadmin4:

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-6FWQnT/psycopg2/ 

enter image description here

Can someone please assist or give advice on how to rectify this error?

Also, I tried to find the

config_locale.py 

file in order to configure the file in accordance with this sites instructions, but there was no such file. Should I post another query or may I ask if someone can help me to locate the file?

           

Lista de respuestas

1
 
vote

También he enfrentado este problema hoy. En el primer psycopg2 == 2.6.2 tiene algún error / problema, por eso estábamos enfrentando este tipo de temas. Por lo tanto, debe instalar la última versión de PSYCOPG2 utilizando el siguiente comando.

  pip install  pgadmin4-1.4-py2.py3-none-any.whl  -U psycopg2   

Este comando instalará todas las dependencias e instalará la versión actualizada de PSYCOPG2.

En segundo lugar, el archivo config_locale.py se creará después de completar este proceso de instalación.

 

I have also facing this issue today. at first psycopg2==2.6.2 have some bug/issues, that's why we were faceing this type of issues. so you need to install latest version of psycopg2 by using following command.

pip install  pgadmin4-1.4-py2.py3-none-any.whl  -U psycopg2 

This command will install all the dependencies and install upgraded version of psycopg2.

Secondly config_locale.py file will create after this installation process complete.

 
 

Relacionados problema

7  Error de PGADMIN4 "Error al iniciar el servidor de aplicaciones, saliendo el hilo del servidor"  ( Pgadmin4 error failed to launch the application server server thread exiting ) 
Estoy recibiendo este error en la puesta en marcha de PGADMIN4 en Kubuntu 18.04: Se produjo un error inicializando el servidor de aplicaciones: Error al...

0  Agregar APT Deb de fuente para PGADMIN4 hace que se obsoletas muchos paquetes no relacionados  ( Adding apt deb source for pgadmin4 makes a lot of non related packages obsolete ) 
contexto Mi sistema Ubuntu 18.04 (5.4.0-42-genérico x86_64 GNU / Linux) se actualiza y actualiza; $ sudo apt upgrade Reading package lists... Done Buildi...

117  Cómo instalar PGADMIN 4 en modo de escritorio en Ubuntu  ( How to install pgadmin 4 in desktop mode on ubuntu ) 
¿Cómo instalar PGADMIN 4 en modo de escritorio? El Documentación Solo detalles del servidor. ...

1  Error al instalar PIP Instale PGADMIN4-1.4-PY2.PY3-NINGUNO-NO.WL  ( Error while installing pip install pgadmin4 1 4 py2 py3 none any whl ) 
Soy nuevo en Ubuntu y estoy tratando de instalar case7 con ABCDEFGHIJKLMNABCDEFGHIJKLMN18 pero recibió el siguiente error al instalar PGADMIN4: cas...

0  pgadmin3 no detecta postgres  ( Pgadmin3 doesnt detect postgres ) 
I instalado y descargado con éxito Pgadmin y PostgreSQL. Cuando boota PGADMIN3, la interfaz surge con éxito, pero no puedo ver los postgres, o cualquier otro ...

1  Pgadmin4 401 no autorizado en Ubuntu 18.04  ( Pgadmin4 401 unauthorized in ubuntu 18 04 ) 
Recibo el mensaje: "El servidor no pudo verificar que está autorizado para acceder a la URL solicitada. Usted proporcionó las credenciales incorrectas (por ej...

1  Ejecutar Pgadmin4 detrás del proxy inverso  ( Run pgadmin4 behind reverse proxy ) 
Estoy tratando de ejecutar PGADMIN4 detrás de un proxy inverso de Nginx, pero tengo un problema porque necesito que PGADMIN sepa que está en myhost.com/pgadmi...

5  Pgadmin 4 no funciona en Ubuntu 18.04 [cerrado]  ( Pgadmin 4 not working in ubuntu 18 04 ) 
cerrado . Esta pregunta necesita detalles o claridad . Actualmente no está aceptando respuestas. ...

0  No se puede iniciar el servidor Apache2 en Ubuntu 18.04  ( Unable to start apache2 server on ubuntu 18 04 ) 
Por lo tanto, el error dice que la dirección ya está en uso. He configurado el ABCDEFGHIJKLMNABCDEFGHIJKLMN0 con un mapeo de DNS a algunos dominios. No e...

2  Pgadmin show objeto navegador texto blanco en blanco con tema oscuro  ( Pgadmin show object browser text white on white with dark theme ) 
Cuando use un tema oscuro, el navegador de objetos usa fondo blanco. ¿Hay alguna manera de cambiar esto? Esta pregunta ha sido preguntó algunos veces, per...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos